Subject: Re: [PATCH/RFC] Cleanup Documentation

From: Kaartic Sivaraam <[email-masked]>
Date: Tue, 20 Jun 2017 23:57:53 +0530

On Tue, 2017-06-20 at 09:57 -0700, Stefan Beller wrote:
> canonical: "according to recognized rules or scientific laws."
> sounds about right. :)
> 
I actually used as I found it to have the meaning of "conforming to
orthodox or recognized rules" :)

> While this was just reflowed and not newly introduced, I am still
> left wondering what a changeset is in Git terms. Our
> Documentation/glossary says:
> 
>   [[def_changeset]]changeset::
>   BitKeeper/cvsps speak for "<<def_commit,commit>>". Since Git does
> not store changes, but states, it really does not make sense to use
> the term "changesets" with Git.
> 
> Maybe we should say instead:
> 
>     If <path>exists and is already a valid Git repository,
>     then this is staged for commit without cloning.
> 
Does seem to be a good change to make. Done.

On Tue, 2017-06-20 at 10:05 -0700, Stefan Beller wrote:
> > On Tue, Jun 20, 2017 at 9:57 AM, Stefan Beller <[email-masked]>
> > wrote:
> > > 
> > > With or without this nit addressed, this patch looks good to me,
> > > 
> > 
> > Well actually not quite. The subject (and commit message) is very
> > vague,
> > maybe:
> 
> >     Documentation/git-submodule: cleanup "add" section
> > 
> >     The "add" section for 'git-submodule' is redundant in its
> > description and
> >     the short synopsis line. Remove the redundant mentioning of the
> >     'repository' argument being mandatory.
> > 
> >     The text is hard to read because of back-references, so remove
> > those.
> > 
> >     Replace the word "humanish" by "canonical" as that conveys
> better
> > what
> >     we do to guess the path.
> > 
> >     While at it, quote all occurrences of '.gitmodules' as that is
> an
> > important
> >     file in the submodule context, also link to it on its first
> > mention.
> >     (This paragraph is not exactly what happens in the commit, but
> I
> > wrote it
> >     as a way how I would write commit messages. It shows the reader
> > how
> >     you addressed the given problem, with the quantifiers "all"
> "the
> > first" showing
> >     what you think is important, and that you deliberately omitted
> > others)
> 
Made this change too.

-- 
Regards,
Kaartic Sivaraam <[email-masked]>